#project(qdvdauthor)

SET(engines_SOURCES
   dialogmplayersetup.cpp
    #dialogqxinesetup.cpp
   dummywidget.cpp
   kaffeineswidget.cpp
   kplayerengine.cpp
   kxinewidget.cpp
   mediainterface.cpp
   mplayerinfo.cpp
   mplayerwidget.cpp
   mrl.cpp
   qmplayerwidget.cpp
   qvlcwidget.cpp
   qxinewidget.cpp
   vlcinfo.cpp
   vlcwidget.cpp
   xineinfo.cpp
   xinewidget.cpp
)

SET(engines_HEADERS
   dialogmplayersetup.h
    #dialogqxinesetup.h
   dummywidget.h
   kaffeineswidget.h
   kplayerengine.h
   kxinewidget.h
   mediainterface.h
   mplayerinfo.h
   mplayerwidget.h
   mrl.h
   qmplayerwidget.h
   qvlcwidget.h
   qxinewidget.h
   vlcinfo.h
   vlcwidget.h
   xineinfo.h
   xinewidget.h
   xml_mplayer.h
)

SET(engines_FORMS
    #dialogqxinesetup3.ui
   dialogqxinesetup.ui
    #uidialogmplayersetup3.ui
   uidialogmplayersetup.ui
)

#QT4_WRAP_CPP(engines_HEADERS_MOC ${engines_HEADERS})
#QT4_WRAP_UI(engines_FORMS_HEADERS ${engines_FORMS})

#INCLUDE(${QT_USE_FILE})
#ADD_DEFINITIONS(${QT_DEFINITIONS})

#ADD_EXECUTABLE(engines ${engines_SOURCES} 
#    ${engines_HEADERS_MOC})
    
#TARGET_LINK_LIBRARIES(engines ${QT_QTCORE_LIBS})	#ooo
#TARGET_LINK_LIBRARIES(engines ${QT_LIBRARIES})
